using CoreLibrary.Core;
using CoreLibrary.Events;
using CoreLibrary.Joueurs;
using Xunit;

namespace UnitTesting
{
    public class AjouterJoueurEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            Joueur monJoueur = new Joueur("Céleste");

            AjouterJoueurEventArgs evenement = new AjouterJoueurEventArgs(monJoueur);

            Assert.Equal(monJoueur, evenement.Joueur);
        }

    }
}
